Skip to main content

Instance Audit Log Actions

https://api.losant.com/instance/INSTANCE_ID/audit-logs/INSTANCE_AUDIT_LOG_ID

Below are the various requests that can be performed against the Instance Audit Log resource, as well as the expected parameters and the potential responses.

Get​

Retrieves information on an instance audit log

Method And Url​

GET https://api.losant.com/instance/INSTANCE_ID/audit-logs/INSTANCE_AUDIT_LOG_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceAuditLog.*, or instanceAuditLog.get.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec7417ae143cd83dc4a96
INSTANCE_AUDIT_LOG_IDID associated with the instance audit log57955788124b37010084c053

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/instance/INSTANCE_ID/audit-logs/INSTANCE_AUDIT_LOG_ID

Successful Responses​

CodeTypeDescription
200Instance Audit LogInstance audit log information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance audit log was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Instance Audit Log​

        Schema for a single Instance Audit Log entry

        Instance Audit Log Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 20 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 1 key
                                            • {} 0 keys
                                              • ▶
                                                {} 1 key
                                                • {} 0 keys
                                                  • ▶
                                                    {} 3 keys

                                                Instance Audit Log Example​

                                                • ▶
                                                  {} 17 keys
                                                  • "586e9d5151265cb9d72f6ec6"
                                                  • "586e9d5151265cb9d72f6ec6"
                                                  • "2016-06-13T04:00:00.000Z"
                                                  • "575ed6e87ae143cd83dc4aa8"
                                                  • "575ec8687ae143cd83dc4a97"
                                                  • "Organization"
                                                  • "My Org"
                                                  • "575ed70c7ae143cd83dc4aa9"
                                                  • "User"
                                                  • "actor@example.com"
                                                  • "organization"
                                                  • "delete"
                                                  • {} 0 keys
                                                    • {} 0 keys
                                                      • ▶
                                                        {} 1 key
                                                        • ▶
                                                          {} 1 key
                                                          • 200

                                                        Was this page helpful?


                                                        Still looking for help? You can also search the Losant Forums or submit your question there.